// This file was generated by SquareLine Studio
// SquareLine Studio version: SquareLine Studio 1.4.0
// LVGL version: 8.3.6
// Project name: Cardv

#include "../ui.h"

void ui_MenuScreen_screen_init(void)
{
    ui_MenuScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_MenuScreen, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE | LV_OBJ_FLAG_SCROLL_ELASTIC |
                      LV_OBJ_FLAG_SCROLL_MOMENTUM);     /// Flags
    lv_obj_set_style_bg_color(ui_MenuScreen, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MenuScreen, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListPanel = lv_obj_create(ui_MenuScreen);
    lv_obj_set_width(ui_MainListPanel, 854);
    lv_obj_set_height(ui_MainListPanel, 480);
    lv_obj_set_align(ui_MainListPanel, LV_ALIGN_CENTER);
    lv_obj_set_style_radius(ui_MainListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainListPanel, lv_color_hex(0x161616), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainListPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainListPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListBtn = lv_btn_create(ui_MainListPanel);
    lv_obj_set_width(ui_MainListBtn, 810);
    lv_obj_set_height(ui_MainListBtn, 110);
    lv_obj_set_y(ui_MainListBtn, -180);
    lv_obj_set_x(ui_MainListBtn, lv_pct(0));
    lv_obj_set_align(ui_MainListBtn, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainListBtn, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_MainListBtn, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_MainListBtn, lv_color_hex(0x2F2F2F), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainListBtn, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_MainListBtn, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_MainListBtn, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListBtnIcon = lv_label_create(ui_MainListBtn);
    lv_obj_set_width(ui_MainListBtnIcon, 48);
    lv_obj_set_height(ui_MainListBtnIcon, 48);
    lv_obj_set_x(ui_MainListBtnIcon, lv_pct(-45));
    lv_obj_set_y(ui_MainListBtnIcon, lv_pct(0));
    lv_obj_set_align(ui_MainListBtnIcon, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainListBtnIcon, "");
    lv_obj_set_style_bg_img_src(ui_MainListBtnIcon, &ui_img_icon_sub_video_resolution_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListBtnLabel = lv_label_create(ui_MainListBtn);
    lv_obj_set_width(ui_MainListBtnLabel, 350);
    lv_obj_set_height(ui_MainListBtnLabel, 32);
    lv_obj_set_x(ui_MainListBtnLabel, lv_pct(-15));
    lv_obj_set_y(ui_MainListBtnLabel, lv_pct(0));
    lv_obj_set_align(ui_MainListBtnLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainListBtnLabel, "Video Settings");
    lv_obj_set_style_text_align(ui_MainListBtnLabel, LV_TEXT_ALIGN_LEFT, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainListBtnLabel, &lv_font_montserrat_26, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListBtnLabelSub = lv_label_create(ui_MainListBtn);
    lv_obj_set_width(ui_MainListBtnLabelSub, 240);
    lv_obj_set_height(ui_MainListBtnLabelSub, 28);
    lv_obj_set_x(ui_MainListBtnLabelSub, 200);
    lv_obj_set_y(ui_MainListBtnLabelSub, 0);
    lv_obj_set_align(ui_MainListBtnLabelSub, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainListBtnLabelSub, "1080P");
    lv_obj_set_style_text_color(ui_MainListBtnLabelSub, lv_color_hex(0xFEFEFE), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_MainListBtnLabelSub, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_align(ui_MainListBtnLabelSub, LV_TEXT_ALIGN_RIGHT, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainListBtnLabelSub, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainListBtnIconSub = lv_label_create(ui_MainListBtn);
    lv_obj_set_width(ui_MainListBtnIconSub, 18);
    lv_obj_set_height(ui_MainListBtnIconSub, 33);
    lv_obj_set_x(ui_MainListBtnIconSub, lv_pct(45));
    lv_obj_set_y(ui_MainListBtnIconSub, lv_pct(0));
    lv_obj_set_align(ui_MainListBtnIconSub, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainListBtnIconSub, "");
    lv_obj_set_style_bg_img_src(ui_MainListBtnIconSub, &ui_img_icon_sub_universal_right_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubListPanel = lv_obj_create(ui_MenuScreen);
    lv_obj_set_width(ui_SubListPanel, 500);
    lv_obj_set_height(ui_SubListPanel, 480);
    lv_obj_set_align(ui_SubListPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_SubListPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_SubListPanel, LV_OBJ_FLAG_SCROLL_CHAIN);      /// Flags
    lv_obj_set_style_radius(ui_SubListPanel, 25, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_SubListPanel, lv_color_hex(0x161616), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SubListPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_SubListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_set_style_bg_color(ui_SubListPanel, lv_color_hex(0x161616), LV_PART_SCROLLBAR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SubListPanel, 255, LV_PART_SCROLLBAR | LV_STATE_DEFAULT);

    ui_SubListButton = lv_btn_create(ui_SubListPanel);
    lv_obj_set_width(ui_SubListButton, 480);
    lv_obj_set_height(ui_SubListButton, 110);
    lv_obj_set_y(ui_SubListButton, -180);
    lv_obj_set_x(ui_SubListButton, lv_pct(0));
    lv_obj_set_align(ui_SubListButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_SubListButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_SubListButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SubListButton, lv_color_hex(0x2F2F2F), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SubListButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_SubListButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_SubListButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubListButtonIcon = lv_label_create(ui_SubListButton);
    lv_obj_set_width(ui_SubListButtonIcon, 48);
    lv_obj_set_height(ui_SubListButtonIcon, 48);
    lv_obj_set_y(ui_SubListButtonIcon, 0);
    lv_obj_set_x(ui_SubListButtonIcon, lv_pct(-45));
    lv_obj_set_align(ui_SubListButtonIcon, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SubListButtonIcon, "");
    lv_obj_set_style_bg_img_src(ui_SubListButtonIcon, &ui_img_icon_sub_video_resolution_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubListButtonIconSub = lv_label_create(ui_SubListButton);
    lv_obj_set_width(ui_SubListButtonIconSub, 26);
    lv_obj_set_height(ui_SubListButtonIconSub, 26);
    lv_obj_set_y(ui_SubListButtonIconSub, 0);
    lv_obj_set_x(ui_SubListButtonIconSub, lv_pct(45));
    lv_obj_set_align(ui_SubListButtonIconSub, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SubListButtonIconSub, "");
    lv_obj_set_style_bg_img_src(ui_SubListButtonIconSub, &ui_img_icon_sub_unlock_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubListButtonLabel = lv_label_create(ui_SubListButton);
    lv_obj_set_width(ui_SubListButtonLabel, 240);
    lv_obj_set_height(ui_SubListButtonLabel, 32);
    lv_obj_set_x(ui_SubListButtonLabel, lv_pct(-5));
    lv_obj_set_y(ui_SubListButtonLabel, lv_pct(0));
    lv_obj_set_align(ui_SubListButtonLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SubListButtonLabel, "Video");
    lv_obj_set_style_text_align(ui_SubListButtonLabel, LV_TEXT_ALIGN_LEFT, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_SubListButtonLabel, &lv_font_montserrat_26, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubMenuConfirmPanel = lv_obj_create(ui_MenuScreen);
    lv_obj_set_width(ui_SubMenuConfirmPanel, 500);
    lv_obj_set_height(ui_SubMenuConfirmPanel, 240);
    lv_obj_set_x(ui_SubMenuConfirmPanel, -1);
    lv_obj_set_y(ui_SubMenuConfirmPanel, 0);
    lv_obj_set_align(ui_SubMenuConfirmPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_SubMenuConfirmPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_SubMenuConfirmPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SubMenuConfirmPanel, lv_color_hex(0x29292A), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SubMenuConfirmPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SubMenuConfirmPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SubMenuConfirmPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_TitleTextLabel = lv_label_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_TitleTextLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_TitleTextLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_TitleTextLabel, -4);
    lv_obj_set_y(ui_TitleTextLabel, -90);
    lv_obj_set_align(ui_TitleTextLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_TitleTextLabel, "NOTE");
    lv_obj_set_style_text_color(ui_TitleTextLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_TitleTextLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_TitleTextLabel, &ui_font_English24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ViewBarLabel = lv_label_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_ViewBarLabel, 400);
    lv_obj_set_height(ui_ViewBarLabel, 4);
    lv_obj_set_x(ui_ViewBarLabel, 0);
    lv_obj_set_y(ui_ViewBarLabel, -65);
    lv_obj_set_align(ui_ViewBarLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_ViewBarLabel, "");
    lv_obj_set_style_bg_color(ui_ViewBarLabel, lv_color_hex(0x0C6EE8), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ViewBarLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubMenuConfirmTextLabel = lv_label_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_SubMenuConfirmTextLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_SubMenuConfirmTextLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_SubMenuConfirmTextLabel, 0);
    lv_obj_set_y(ui_SubMenuConfirmTextLabel, -10);
    lv_obj_set_align(ui_SubMenuConfirmTextLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SubMenuConfirmTextLabel, "Reset Default Settings");
    lv_obj_set_style_text_color(ui_SubMenuConfirmTextLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_SubMenuConfirmTextLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_SubMenuConfirmTextLabel, &ui_font_English20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SubMenuConfirmTextLabel2 = lv_label_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_SubMenuConfirmTextLabel2, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_SubMenuConfirmTextLabel2, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_SubMenuConfirmTextLabel2, 0);
    lv_obj_set_y(ui_SubMenuConfirmTextLabel2, 22);
    lv_obj_set_align(ui_SubMenuConfirmTextLabel2, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SubMenuConfirmTextLabel2, "Reset Default Settings");
    lv_obj_add_flag(ui_SubMenuConfirmTextLabel2, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_set_style_text_color(ui_SubMenuConfirmTextLabel2, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_SubMenuConfirmTextLabel2, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_SubMenuConfirmTextLabel2, &ui_font_English20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MenuConfirmNoButton = lv_btn_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_MenuConfirmNoButton, 90);
    lv_obj_set_height(ui_MenuConfirmNoButton, 38);
    lv_obj_set_x(ui_MenuConfirmNoButton, -150);
    lv_obj_set_y(ui_MenuConfirmNoButton, 80);
    lv_obj_set_align(ui_MenuConfirmNoButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MenuConfirmNoButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_MenuConfirmNoButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MenuConfirmNoButton, 6, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MenuConfirmNoButton, lv_color_hex(0x1152C0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MenuConfirmNoButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_MenuConfirmNoButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_MenuConfirmNoButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MenuConfirmNoLabel = lv_label_create(ui_MenuConfirmNoButton);
    lv_obj_set_width(ui_MenuConfirmNoLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MenuConfirmNoLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_MenuConfirmNoLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MenuConfirmNoLabel, "NO");
    lv_obj_set_style_text_font(ui_MenuConfirmNoLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MenuConfirmYesButton = lv_btn_create(ui_SubMenuConfirmPanel);
    lv_obj_set_width(ui_MenuConfirmYesButton, 90);
    lv_obj_set_height(ui_MenuConfirmYesButton, 38);
    lv_obj_set_x(ui_MenuConfirmYesButton, 150);
    lv_obj_set_y(ui_MenuConfirmYesButton, 80);
    lv_obj_set_align(ui_MenuConfirmYesButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MenuConfirmYesButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_MenuConfirmYesButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MenuConfirmYesButton, 6, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MenuConfirmYesButton, lv_color_hex(0x1152C0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MenuConfirmYesButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_MenuConfirmYesButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_MenuConfirmYesButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MenuConfirmYesLabel = lv_label_create(ui_MenuConfirmYesButton);
    lv_obj_set_width(ui_MenuConfirmYesLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MenuConfirmYesLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_MenuConfirmYesLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MenuConfirmYesLabel, "YES");
    lv_obj_set_style_text_font(ui_MenuConfirmYesLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_MenuConfirmNoButton, ui_event_MenuConfirmNoButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MenuConfirmYesButton, ui_event_MenuConfirmYesButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MenuScreen, ui_event_MenuScreen, LV_EVENT_ALL, NULL);

}
